For those who are #NewHere, I'd like share another aspect of #mastodon that brought many of us here much before the current wave. Mastodon is Free Software (sometimes called as Open Source or Free and Open Source Software). It means anyone is Free to use, study, modify and share the software. This means we are not dependent on any single entity (person, company, country...) and we can be self-reliant.

#FreeSoftware #OpenSource

Some of you may think freedom to modify software is useful only for techies. I'd like share the story of #scribus, a page layout software replacement to Adobe PageMaker and InDesign. This software only supported English and other Latin languages initially. Then a programmer from Oman, Fahad Amar Salim All Saidi added support for #Arabic with funding from Oman government. Along with Arabic, this change brought support for all Indian languages. #FreeSoftware

Show thread
@praveen @akshay

A similar improvement was done to #Lyx too, which is a #WYSIWYM (what you see is what you mean) document writing tool.

A very good improvement in the usability of #Linux on the desktop was done by Con Kolivas, an Australian ... dentist (I feel old saying this, as it was so long ago).

@wyatwerp @akshay @praveen that X gives me the hint. Generally I use texstudio for latex. I will tryout LyX . does it supports xeteX?

@mujeebcpy @akshay @praveen

It should; I didn't interfere much with the working setup I had (it was on Mac OSX).

@wyatwerp @akshay @praveen not supporting malayalam. I heard about this package form Hussain kh. @anivar contacted the dev team to activate malayalam. Bow they put Malay language wrongly.

Follow

@mujeebcpy it is
@akshay and joice (is he here ?) They can give more insight

@wyatwerp
@praveen

@anivar @akshay @wyatwerp @praveen @smc okey. Install from official repo didn't give that. Let me try this way

Trying to build this. there was a name mismatch in qt5 library. took lot of time to figure it out. now stuck at
`configure: error: cannot compile a simple Qt executable. Check you have the right $QTDIR.
` here

got compiled. installed these packages
1.) libqt5x11extras5-dev
2.) libqt5svg5-dev
3.) libice-dev
4.) qtbase5-dev

Sign in to participate in the conversation
ChowChow Social

An instance to discuss about food/art/culture/relationships/poetry/books/lgbtq+/feminism.